<?php
class TDBConnector
{
  var $connect = NULL;
  var $type = 0; //0=mysql   , 1=mysqli
  function TDBConnector($vhost,$vuser,$vpasswd,$vdb,$vtype=1)
  {
    $this->type = $vtype;
    switch($this->type)
    {
      case  0: $this->connect = @mysql_connect($vhost,$vuser,$vpasswd)
                                   or die("Cannot connect server");
               if(@mysql_select_db($vdb,$this->connect) !== true)
                 die("Cannot select db");
               break;
      case  1: $this->connect = mysqli_connect($vhost,$vuser,$vpasswd,$vdb);
               if(!$this->connect)
               {
                 die("Cannot connect server");
                /*printf("Connect failed: %s\n", mysqli_connect_error());   exit();*/
               }
               break;
      default: die('Bad db connection type');
    }
  }
  function CloseConnection()
  {
    switch($this->type)
    {
      case  0: @mysql_close($this->connect);
               return true;
      case  1: @mysqli_close($this->connect);
               return true;
      default: return false;
    }
  }
  function EscapeString($str)
  {
    switch($this->type)
    {
      case  0: return @mysql_escape_string($str);
      case  1: return @mysqli_real_escape_string($this->connect,$str);
      default: die('Bad db connection type');
    }
  }
  function Query($sql)
  {
    switch($this->type)
    {
      case  0: return @mysql_query($sql,$this->connect);
      case  1: return @mysqli_query($this->connect,$sql);
      default: die('Bad db connection type');
    }
  }
  function NumRows($recordset)
  {
    switch($this->type)
    {
      case  0: return @mysql_num_rows($recordset);
      case  1: return @mysqli_num_rows($recordset);
      default: die('Bad db connection type');
    }
  }
  function FetchArray($recordset)
  {
    switch($this->type)
    {
      case  0: return @mysql_fetch_array($recordset,MYSQL_ASSOC);
      case  1: if(($row = @mysqli_fetch_array($recordset,MYSQLI_ASSOC)) === NULL)
                 return false;
               return $row;
      default: die('Bad db connection type');
    }
  }
  function GetLastErrorStr()
  {
    switch($this->type)
    {
      case  0: return mysql_error($this->connect);
      case  1: return mysql_error($this->connect);
      default: return 'TDBConnector: Bad db connection type';
    }
  }
  function GetLastErrorNum()
  {
    switch($this->type)
    {
      case  0: return mysql_errno($this->connect);
      case  1: return mysqli_errno($this->connect);
      default: return 99999999;
    }
  }
  function FreeResult($recordset)
  {
    switch($this->type)
    {
      case  0: @mysql_free_result($recordset);
               return true;
      case  1: @mysqli_free_result($recordset);
               return true;
      default: return false;
    }
  }
  function GetLimit($num)
  {
    switch($this->type)
    {
      case  0: return " LIMIT $num";
      case  1: return " LIMIT $num";
      default: return '';//not support sql command LIMIT
    }
  }
}

$__connection = new TDBConnector($vhost,$vuser,$vpasswd,$vdb,$vtypeinterface);
unset($vhost);
unset($vuser);
unset($vpasswd);
unset($vdb);
unset($vtypeinterface);
?>